package nloc;
import java.util.SortedSet;
import java.util.TreeSet;


public class Bifurcation extends NlocEntity {
  private Channel inChan;
  private SortedSet<Channel> outChans;

  public Bifurcation(Channel inChan) {
    super();
    this.inChan = inChan;
    this.outChans = new TreeSet<Channel>();
  }

  public Channel getInChan() {
    return inChan;
  }

  public SortedSet<Channel> getOutChans() {
    return outChans;
  }

  public void addOutChan(Channel outChan) {
    outChans.add(outChan);
  }
}
